Bug 426064 - Review Request: wipe - secure file erasing tool
Review Request: wipe - secure file erasing tool
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Debarshi Ray
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-17 23:19 EST by Scott J Henson
Modified: 2009-09-14 21:12 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-13 13:03:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
debarshir: fedora‑review+
dennis: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Scott J Henson 2007-12-17 23:19:29 EST
Spec URL: http://shenson.fedorapeople.org/wipe.spec
SRPM URL: http://shenson.fedorapeople.org/wipe-0.20-1.fc8.src.rpm
Description: wipe is a little command for securely erasing files from magnetic media.
Comment 1 Xavier Bachelot 2007-12-20 06:33:01 EST
Build fine in mock, but rpmlint shows some problems :

wipe.i386: W: file-not-utf8 /usr/share/doc/wipe-0.20/secure_del.html
wipe.i386: W: file-not-utf8 /usr/share/doc/wipe-0.20/README
wipe.i386: W: summary-not-capitalized secure file erasing tool
wipe.src: W: summary-not-capitalized secure file erasing tool
Comment 2 Scott J Henson 2007-12-20 11:43:14 EST
Xavier, thanks for pointing that out.  Whats the proper way to fix the utf8
problem?  Do some converting in the spec file or with a patch?
Comment 3 Scott J Henson 2007-12-20 12:01:25 EST
I ended up using iconv to convert it at build time.  New spec and srpm:
http://shenson.fedorapeople.org/wipe.spec
http://shenson.fedorapeople.org/wipe-0.20-2.fc8.src.rpm
Comment 4 Debarshi Ray 2007-12-23 15:23:58 EST
MUST Items: 

OK - rpmlint is clean on SRPM, RPM and installed package
OK - follows Package Naming Guidelines
OK - spec file is named as %{name}.spec

xx - package meets Packaging Guidelines
   + license should be GPL+ since the source code / output/ accompanying
documentation does not state the version:
http://fedoraproject.org/wiki/Licensing#SoftwareLicenses
   + %doc should include BUGS CHANGES GPL examples/wipefd0 examples/wswap.pl
   + use 'install -p' instead of 'install -c' -- -p preserves timestamps, while
-c is ignored
   + consider using '%defattr(-,root,root,-)' in %files, as:
     %files
     %defattr(-,root,root,-)
     %doc BUGS CHANGES GPL README examples/wipefd0 examples/wswap.pl secure_del.html
     %{_bindir}/wipe
     %{_mandir}/man1/wipe.1.gz
     %{_mandir}/tr/man1/wipe.1.gz
   + consider fixing the spelling of your name in %changelog

xx - license meets Licensing Guidelines
   + license should be GPL+ since the source code / output/ accompanying
documentation does not state the version:
http://fedoraproject.org/wiki/Licensing#SoftwareLicenses

xx - License field meets actual license
   + should be GPL+ and not GPLv2

xx - upstream license file included in %doc
   + include GPL

OK - spec file uses American English
OK - spec file is legible
OK - sources match upstream sources
OK - package builds successfully
OK - ExcludeArch not needed
OK - build dependencies correctly listed

xx - no locales
   + include the localized man page (needs to be converted to UTF-8) as:
     mv wipe.tr.1 wipe.1 && \
       install -p -m644 wipe.1 $RPM_BUILD_ROOT/%{_mandir}/tr/man1/

OK - no shared libraries
OK - package is not relocatable
OK - file and directory ownership
OK - no duplicates in %file

OK - file permissions set properly
   + consider using '%defattr(-,root,root,-)' in %files, as:
     %files
     %defattr(-,root,root,-)
     %doc BUGS CHANGES GPL README examples/wipefd0 examples/wswap.pl secure_del.html
     %{_bindir}/wipe
     %{_mandir}/man1/wipe.1.gz
     %{_mandir}/tr/man1/wipe.1.gz

OK - %clean present
OK - macros used consistently
OK - contains code and permissable content
OK - -doc not needed
OK - contents of %doc does not affect the runtime
OK - no header files
OK - no static libraries
OK - no pkgconfig files
OK - no library files
OK - -devel not needed
OK - no libtool archives
OK - %{name}.desktop file not needed
OK - does not own files or directories owned by other packages
OK - buildroot correctly prepped
OK - all file names valid UTF-8

SHOULD Items:

OK - upstream provides license text
xx - no translations for description and summary
OK - package builds in mock successfully
OK - package builds on all supported architectures
OK - package functions as expected
OK - scriptlets not needed
OK - subpackages not needed
OK - no pkgconfig files
OK - no file dependencies

Here is a patch to fix most of these issues:
http://rishi.fedorapeople.org/wipe.spec.patch
Comment 5 Scott J Henson 2007-12-31 13:10:23 EST
I've applied the patch and updated a couple other things that were mentioned. 
New spec and srpm.

http://shenson.fedorapeople.org/wipe.spec
http://shenson.fedorapeople.org/wipe-0.20-3.fc8.src.rpm
Comment 6 Debarshi Ray 2008-01-07 10:51:05 EST
xx - rpmlint is unclean on RPM and installed package
    [rishi@ginger SPECS]$ rpmlint
/devel/redhat/RPMS/x86_64/wipe-0.20-3.fc8.x86_64.rpm 
    wipe.x86_64: W: spurious-executable-perm /usr/share/doc/wipe-0.20/wswap.pl
    wipe.x86_64: W: spurious-executable-perm /usr/share/doc/wipe-0.20/wipefd0
    wipe.x86_64: W: doc-file-dependency /usr/share/doc/wipe-0.20/wswap.pl
/usr/bin/perl
    [rishi@ginger SPECS]$
    Remove the executable bits from the example scripts in %doc.

Here is a patch to fix this issues:
http://rishi.fedorapeople.org/wipe.spec.patch

Comment 7 Scott J Henson 2008-01-16 10:42:52 EST
I thought I ran rpmlint on the rpms, I guess not.  I fixed those problems and
uploaded new spec and new srpm.  The spec is in the same spot and the srpm is
here(http://shenson.fedorapeople.org/wipe-0.20-4.fc8.src.rpm).  Thank you.
Comment 8 Debarshi Ray 2008-01-25 13:19:19 EST
+---------------------------------+
| This package is APPROVED by me. |
+---------------------------------+

But why is "chmod a-x secure_del.html" needed?
Comment 9 Scott J Henson 2008-02-11 21:59:13 EST
chmod is there for cleanlyness I believe.  Thanks for the review.
Comment 10 Scott J Henson 2008-02-11 22:01:41 EST
New Package CVS Request
=======================
Package Name: wipe
Short Description: Secure file erasing tool
Owners: shenson
Branches: 
InitialCC: 
Cvsextras Commits: no

Comment 11 Kevin Fenzi 2008-02-12 12:39:22 EST
cvs done. 

Why have cvsextras commits: no? Any particular reason? 
Comment 12 Scott J Henson 2008-02-12 12:48:34 EST
Thanks for the cvs.

I just copied and pasted a template from my original package.  I don't remember
the original reason.  I doesn't bother me either way.  Its probably the SA in me
saying deny by default.  Is there a way to easily turn it on? 
Comment 13 Kevin Fenzi 2008-02-12 13:23:41 EST
Sure, you can go to: 

https://admin.fedoraproject.org/pkgdb/packages/name/wipe

and check the 'group members can commit' checkbox. 

Please do. It will allow other maintainers to assist you or fix bugs if you are
unavailable. 
Comment 14 Scott J Henson 2008-02-13 13:03:15 EST
Built.
Comment 15 Kevin Fenzi 2008-02-13 13:14:45 EST
Excellent. Can you set the cvsextras commits too? :) 
Comment 16 Scott J Henson 2009-09-14 17:32:02 EDT
Package Change Request
======================
Package Name: wipe
New Branches: EL-4 EL-5
Comment 17 Dennis Gilmore 2009-09-14 21:12:09 EDT
cvs done

Note You need to log in before you can comment on or make changes to this bug.